Index: /trunk/src/lib/gui/gtk_gui/gui_flags.cc
===================================================================
--- /trunk/src/lib/gui/gtk_gui/gui_flags.cc	(revision 5411)
+++ /trunk/src/lib/gui/gtk_gui/gui_flags.cc	(revision 5412)
@@ -59,4 +59,6 @@
 void GuiFlags::setTextFromFlags(Widget* widget)
 {
+  if (widget == NULL)
+    return;
   FlagInfo flagInfo;
   flagInfo.shortFlags = this->shortFlags;
Index: /trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- /trunk/src/subprojects/collision_detection/Makefile.am	(revision 5411)
+++ /trunk/src/subprojects/collision_detection/Makefile.am	(revision 5412)
@@ -5,13 +5,6 @@
 bin_PROGRAMS = collision
 
-collision_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
-                  $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
-                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
-                  $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
-                  $(MAINSRCDIR)/lib/shell/libORXshell.a \
-                  $(MAINSRCDIR)/lib/event/libORXevent.a \
-                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
-                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
-                  $(MAINSRCDIR)/lib/graphics/spatial_separation/libORXquadtree.a \
+collision_LDADD = ${MAINSRCDIR}/lib/libORXlibs.la \
+                  ${MAINSRCDIR}/util/libORXutils.la \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
@@ -23,24 +16,8 @@
 collision_SOURCES= ../framework.cc \
                    collision_detection.cc \
-                   $(MAINSRCDIR)/util/loading/load_param.cc \
-                   $(MAINSRCDIR)/lib/util/helper_functions.cc \
-                   $(MAINSRCDIR)/lib/util/substring.cc \
-                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                   $(MAINSRCDIR)/util/resource_manager.cc \
                    $(MAINSRCDIR)/world_entities/camera.cc \
-                   $(MAINSRCDIR)/util/state.cc \
-                   $(MAINSRCDIR)/lib/lang/base_object.cc \
-                   $(MAINSRCDIR)/lib/lang/class_list.cc \
-                   $(MAINSRCDIR)/lib/math/vector.cc \
-                   $(MAINSRCDIR)/lib/util/color.cc \
-                   $(MAINSRCDIR)/util/resource_manager.cc \
-                   $(MAINSRCDIR)/lib/coord/p_node.cc \
-                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-                   $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc \
                    $(MAINSRCDIR)/world_entities/test_entity.cc \
                    $(MAINSRCDIR)/world_entities/environment.cc \
-                   $(MAINSRCDIR)/util/animation/animation.cc \
-                   $(MAINSRCDIR)/util/animation/animation_player.cc \
-                   $(MAINSRCDIR)/util/animation/animation3d.cc \
-                   $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/world_entities/world_entity.cc \
                    $(MAINSRCDIR)/world_entities/terrain.cc
Index: /trunk/src/subprojects/importer/Makefile.am
===================================================================
--- /trunk/src/subprojects/importer/Makefile.am	(revision 5411)
+++ /trunk/src/subprojects/importer/Makefile.am	(revision 5412)
@@ -2,5 +2,5 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-importer_CPPFLAGS =
+importer_CPPFLAGS = 
 
 importer_LDFLAGS = $(MWINDOWS)
@@ -8,25 +8,14 @@
 bin_PROGRAMS = importer
 
-importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
-                 $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
-                 $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
-                 $(MAINSRCDIR)/lib/shell/libORXshell.a \
-                 $(MAINSRCDIR)/lib/sound/libORXsound.a \
-                 $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
+importer_DEPENDENCIES = ${MAINSRCDIR}/lib/libORXlibs.la \
+                        ${MAINSRCDIR}/util/libORXutils.la
+
+
+
+importer_LDADD = $(MAINSRCDIR)/lib/libORXlibs.la \
+                 $(MAINSRCDIR)/util/libORXutils.la 
 
 importer_SOURCES= ../framework.cc \
                   importer.cc \
-                  $(MAINSRCDIR)/util/state.cc \
                   $(MAINSRCDIR)/world_entities/camera.cc \
-                  $(MAINSRCDIR)/lib/lang/base_object.cc \
-                  $(MAINSRCDIR)/lib/lang/class_list.cc \
-                  $(MAINSRCDIR)/lib/math/vector.cc \
-                  $(MAINSRCDIR)/util/resource_manager.cc \
-                  $(MAINSRCDIR)/lib/util/ini_parser.cc \
-                  $(MAINSRCDIR)/lib/coord/p_node.cc \
-                  $(MAINSRCDIR)/lib/coord/null_parent.cc \
-                  $(MAINSRCDIR)/util/loading/load_param.cc \
-                  $(MAINSRCDIR)/lib/util/helper_functions.cc \
-                  $(MAINSRCDIR)/lib/util/substring.cc \
-                  $(MAINSRCDIR)/lib/util/color.cc \
-                  $(MAINSRCDIR)/util/loading/factory.cc
+		  ${MAINSRCDIR}/util/resource_manager.cc
Index: /trunk/src/subprojects/particles/Makefile.am
===================================================================
--- /trunk/src/subprojects/particles/Makefile.am	(revision 5411)
+++ /trunk/src/subprojects/particles/Makefile.am	(revision 5412)
@@ -5,13 +5,6 @@
 bin_PROGRAMS = particles
 
-particles_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
-                  $(MAINSRCDIR)/lib/event/libORXevent.a \
-                  $(MAINSRCDIR)/lib/particles/libORXparticles.a \
-                  $(MAINSRCDIR)/lib/shell/libORXshell.a \
-                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
-                  $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
-                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
-                  $(MAINSRCDIR)/lib/physics/libORXphysics.a \
-                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+particles_LDADD = ${MAINSRCDIR}/lib/libORXlibs.la \
+                  ${MAINSRCDIR}/util/libORXutils.la \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
@@ -21,21 +14,6 @@
 particles_SOURCES= ../framework.cc \
                    particle_fun.cc \
-                   $(MAINSRCDIR)/lib/graphics/light.cc \
-                   $(MAINSRCDIR)/util/state.cc \
+                   $(MAINSRCDIR)/util/resource_manager.cc \
                    $(MAINSRCDIR)/world_entities/camera.cc \
-                   $(MAINSRCDIR)/world_entities/world_entity.cc \
-                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-                   $(MAINSRCDIR)/lib/lang/base_object.cc \
-                   $(MAINSRCDIR)/lib/lang/class_list.cc \
-                   $(MAINSRCDIR)/lib/math/vector.cc \
-                   $(MAINSRCDIR)/util/resource_manager.cc \
-                   $(MAINSRCDIR)/lib/coord/p_node.cc \
-                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-                   $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc \
-                   $(MAINSRCDIR)/lib/util/substring.cc \
-                   $(MAINSRCDIR)/util/loading/load_param.cc \
-		   $(MAINSRCDIR)/lib/util/helper_functions.cc \
-                   $(MAINSRCDIR)/util/loading/factory.cc \
-                   $(MAINSRCDIR)/lib/util/color.cc \
-                   $(MAINSRCDIR)/lib/util/ini_parser.cc
+                   $(MAINSRCDIR)/world_entities/world_entity.cc
 
